#
# spec file for package python-phonenumbers
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}

Name:           python-phonenumbers
Version:        8.8.9
Release:        lp151.2.2
License:        Apache-2.0
Summary:        Python version of Google's common library for international phone numbers
Url:            https://github.com/daviddrysdale/python2-phonenumbers
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/phonenumbers/phonenumbers-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Python version of Google's common library for parsing, formatting, storing 
and validating international phone numbers.

%prep
%setup -q -n phonenumbers-%{version}

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/phonenumbers
%{python_sitelib}/phonenumbers-%{version}-py*.egg-info/

%changelog
* Thu Jan 11 2018 parlt@suse.com
- update to 8.8.9
- no upstream changelog available
* Mon Oct  2 2017 ecsos@opensuse.org
- update to 8.8.2
- convert to  singelspec
* Mon May  1 2017 mrueckert@suse.de
- initial package
